#
# spec file for package python-pynamodb
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%if 0%{?suse_version} >= 1500
%define skip_python2 1
%endif
Name:           python-pynamodb
Version:        5.3.4
Release:        1.8
Summary:        Python Interface to DynamoDB
License:        MIT
URL:            https://github.com/pynamodb/PynamoDB
Source0:        https://files.pythonhosted.org/packages/source/p/pynamodb/pynamodb-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-botocore >= 1.12.54
Requires:       python-python-dateutil >= 2.1
Recommends:     python-blinker >= 1.3
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module blinker >= 1.3}
BuildRequires:  %{python_module botocore >= 1.12.54}
BuildRequires:  %{python_module pytest-mock}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module python-dateutil >= 2.1}
# /SECTION
%python_subpackages

%description
A Python interface for Amazon's DynamoDB.

%prep
%setup -q -n pynamodb-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
export AWS_SECRET_ACCESS_KEY=fake_key
export AWS_ACCESS_KEY_ID=fake_id
# Sadly the tests since 4.x series require local dynamdb running on the local machine instead of mocking
#%%pytest

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Mon Dec 12 2022 pgajdos@suse.com
- version update to 5.3.4
  * lot of changes, see
    https://github.com/pynamodb/PynamoDB/blob/master/docs/release_notes.rst
- python-six is not required (https://trello.com/c/MO53MocR/143-remove-python3-six)
* Thu Nov 26 2020 Robert Schweikert <rjschwei@suse.com>
- Only build Python3 flavors for distributions 15 and greater
* Tue Sep  8 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Update to 4.3.3
  * Add type stubs for indexing into a ``ListAttribute`` for
    forming conditional expressions (#774)
  * Fix a warning about ``collections.abc`` deprecation (#782)
* Fri Jul  3 2020 Marketa Calabkova <mcalabkova@suse.com>
- Update to 4.3.2
  * Fix discrepancy between runtime and type-checker's perspective of Index and derived types
  * Add ListAttribute.remove_indexes action for removing specific indexes from a ListAttribute
  * Type stub fixes
  * Prevent integration tests from being packaged
  * Various documentation fixes
* Thu Feb 27 2020 Tomáš Chvátal <tchvatal@suse.com>
- Update to 4.3.1:
  * Added support for moto through implementing the botocore "before-send" hook.
  * Performance improvements to UTCDateTimeAttribute deserialization. (#610)
  * Suppress Python 3 exception chaining when "re-raising" botocore errors as PynamoDB model exceptions (#705)
  * Use urllib3 instead of requests module from botocore
  * Future python versions compatibility
- Drop no longer needed no_vendored_requests.patch
* Thu Nov 29 2018 Todd R <toddrme2178@gmail.com>
- Initial version
- Add no_vendored_requests.patch
  use system requests since we remove the vendored version
  from: https://github.com/pynamodb/PynamoDB/pull/566
